#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML LANG="de">
<HEAD>
<STYLE MEDIA="screen" TYPE="text/css"> <!-- @import "../ch.css"; --> </STYLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<TITLE>$(n=$(nvram get wan_hostname);echo ${n:-www.openwireless.ch}) -
$TITLE</TITLE>
EOF

unescape()
{
eval echo -n -e '$(sed "s/+/%20/g;s/%\\([[:xdigit:]][[:xdigit:]]\\)/\\\\x\\1/g"<<ESC
$1
ESC
)'
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(sed -n 's/^ *\([^:]\+\):.*/\1/p' /proc/net/wireless 2>&-)
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>
<BODY LANG="de">
<DIV ID="pageWrapper">
<DIV ID="masthead">
<H1><A HREF="http://www.openwireless.ch">openwireless.ch</A></H1>
<DIV CLASS="hnav"> <A CLASS="color" HREF="../cgi-bin-index.html">Home</A>
| <A CLASS="color" HREF="index.html">Verwalten</A> </DIV><HR CLASS="hide">
</DIV>
<DIV ID="outerColumnContainer">
<DIV ID="innerColumnContainer">
<DIV ID="contentColumn">
<DIV CLASS="inside">
EOF
